import 'package:design/design.dart';
import 'package:guru_utils/visual_feast/visual_feast_widget.dart';

// part 'guru_asset.g.dart';

class AssetOverlayTheme {
  final int assetCount;
  final Color textColor;

  const AssetOverlayTheme({this.assetCount = 8, this.textColor = Colors.white});

  static const defaultTheme = AssetOverlayTheme();
}

class GuruAssetOverlay extends StatefulWidget {
  final Director director;

  const GuruAssetOverlay(this.director,{
    Key? key,
  }) : super(key: key);

  @override
  State<GuruAssetOverlay> createState() => _GuruAssetOverlay();
}


class _GuruAssetOverlay extends State<GuruAssetOverlay> {

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      height: double.infinity,
      child: VisualFeastWidget(
          director: widget.director,
        )
    );
  }
}